<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework5_create-user</title>
</head>

<body>
  <script>
    'use strict';

    function createNewUser() {
      let firstName = getName('first');
      let lastName = getName('last');

      return {
        _firstName: firstName,
        _lastName: lastName,
        set setFirstName(value) { this._firstName = value; },
        set setLastName(value) { this._lastName = value; },
        get getFirstName() { return this._firstName; },
        get getLastName() { return this._lastName; },

      };
    }

    function getName(text) {
      return prompt(`Enter your ${text}Name`).trim();
    }

    const newUser = createNewUser();

    newUser.getLogin = function () { return this.getFirstName[0].toLowerCase() + this.getLastName.toLowerCase(); }

    console.log(newUser.getLogin());




  </script>
</body>

</html>